FLANG

Public Types | Public Member Functions | Static Public Attributes | List of all members
Fortran::decimal::IntermediateFloat< PREC > Class Template Reference

## Public Types
using | IntType = common::HostUnsignedIntType< precision >

## Public Member Functions
| IntermediateFloat (const IntermediateFloat &)=default
template<typename UINT >
bool | SetTo (UINT n)
void | ShiftIn (int bit=0)
bool | IsFull () const
void | AdjustExponent (int by)
void | SetGuard (int g)
ConversionToBinaryResult< PREC > | ToBinary (bool isNegative, FortranRounding) const

## Static Public Attributes
static constexpr int | precision {PREC}
static constexpr IntType | topBit {IntType{1} << (precision - 1)}
static constexpr IntType | mask {topBit + (topBit - 1)}

The documentation for this class was generated from the following file:

- lib/Decimal/decimal-to-binary.cpp